## monav 0.3.release-1

=== Makefile ===
#############################################################################
# Makefile for building: monavroutingdaemon
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Aug 12 13:44:58 2012
# Project:  monavroutingdaemon.pro
# Template: subdirs
# Command: /usr/bin/qmake CONFIG+=release DEFINES+=NOGUI -o Makefile monavroutingdaemon.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-routingdaemon \
		sub-plugins-routingdaemon_plugins-pro \
		sub-routingdaemon-daemontest-pro

routingdaemon/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) routingdaemon/ || $(MKDIR) routingdaemon/ 
	cd routingdaemon/ && $(QMAKE) /home/builder1/maemo-fremantle-armel-extras-devel/work/monav-0.3.release/routingdaemon/routingdaemon.pro CONFIG+=release DEFINES+=NOGUI -o $(MAKEFILE)
sub-routingdaemon-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) routingdaemon/ || $(MKDIR) routingdaemon/ 
	cd routingdaemon/ && $(QMAKE) /home/builder1/maemo-fremantle-armel-extras-devel/work/monav-0.3.release/routingdaemon/routingdaemon.pro CONFIG+=release DEFINES+=NOGUI -o $(MAKEFILE)
sub-routingdaemon: routingdaemon/$(MAKEFILE) sub-plugins-routingdaemon_plugins-pro FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE)
sub-routingdaemon-make_default: routingdaemon/$(MAKEFILE) sub-plugins-routingdaemon_plugins-pro-make_default FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE) 
sub-routingdaemon-make_first: routingdaemon/$(MAKEFILE) sub-plugins-routingdaemon_plugins-pro-make_first FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE) first
sub-routingdaemon-all: routingdaemon/$(MAKEFILE) sub-plugins-routingdaemon_plugins-pro-all FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE) all
sub-routingdaemon-clean: routingdaemon/$(MAKEFILE) sub-plugins-routingdaemon_plugins-pro-clean FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE) clean
sub-routingdaemon-distclean: routingdaemon/$(MAKEFILE) sub-plugins-routingdaemon_plugins-pro-distclean FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE) distclean
sub-routingdaemon-install_subtargets: routingdaemon/$(MAKEFILE) sub-plugins-routingdaemon_plugins-pro-install_subtargets FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE) install
sub-routingdaemon-uninstall_subtargets: routingdaemon/$(MAKEFILE) sub-plugins-routingdaemon_plugins-pro-uninstall_subtargets FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE) uninstall
plugins/$(MAKEFILE).routingdaemon_plugins: 
	@$(CHK_DIR_EXISTS) plugins/ || $(MKDIR) plugins/ 
	cd plugins/ && $(QMAKE) /home/builder1/maemo-fremantle-armel-extras-devel/work/monav-0.3.release/plugins/routingdaemon_plugins.pro CONFIG+=release DEFINES+=NOGUI -o $(MAKEFILE).routingdaemon_plugins
sub-plugins-routingdaemon_plugins-pro-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plugins/ || $(MKDIR) plugins/ 
	cd plugins/ && $(QMAKE) /home/builder1/maemo-fremantle-armel-extras-devel/work/monav-0.3.release/plugins/routingdaemon_plugins.pro CONFIG+=release DEFINES+=NOGUI -o $(MAKEFILE).routingdaemon_plugins
sub-plugins-routingdaemon_plugins-pro: plugins/$(MAKEFILE).routingdaemon_plugins FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE).routingdaemon_plugins
sub-plugins-routingdaemon_plugins-pro-make_default: plugins/$(MAKEFILE).routingdaemon_plugins FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE).routingdaemon_plugins 
sub-plugins-routingdaemon_plugins-pro-make_first: plugins/$(MAKEFILE).routingdaemon_plugins FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE).routingdaemon_plugins first
sub-plugins-routingdaemon_plugins-pro-all: plugins/$(MAKEFILE).routingdaemon_plugins FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE).routingdaemon_plugins all
sub-plugins-routingdaemon_plugins-pro-clean: plugins/$(MAKEFILE).routingdaemon_plugins FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE).routingdaemon_plugins clean
sub-plugins-routingdaemon_plugins-pro-distclean: plugins/$(MAKEFILE).routingdaemon_plugins FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE).routingdaemon_plugins distclean
sub-plugins-routingdaemon_plugins-pro-install_subtargets: plugins/$(MAKEFILE).routingdaemon_plugins FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE).routingdaemon_plugins install
sub-plugins-routingdaemon_plugins-pro-uninstall_subtargets: plugins/$(MAKEFILE).routingdaemon_plugins FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE).routingdaemon_plugins uninstall
routingdaemon/$(MAKEFILE).daemontest: 
	@$(CHK_DIR_EXISTS) routingdaemon/ || $(MKDIR) routingdaemon/ 
	cd routingdaemon/ && $(QMAKE) /home/builder1/maemo-fremantle-armel-extras-devel/work/monav-0.3.release/routingdaemon/daemontest.pro CONFIG+=release DEFINES+=NOGUI -o $(MAKEFILE).daemontest
sub-routingdaemon-daemontest-pro-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) routingdaemon/ || $(MKDIR) routingdaemon/ 
	cd routingdaemon/ && $(QMAKE) /home/builder1/maemo-fremantle-armel-extras-devel/work/monav-0.3.release/routingdaemon/daemontest.pro CONFIG+=release DEFINES+=NOGUI -o $(MAKEFILE).daemontest
sub-routingdaemon-daemontest-pro: routingdaemon/$(MAKEFILE).daemontest FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE).daemontest
sub-routingdaemon-daemontest-pro-make_default: routingdaemon/$(MAKEFILE).daemontest FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE).daemontest 
sub-routingdaemon-daemontest-pro-make_first: routingdaemon/$(MAKEFILE).daemontest FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE).daemontest first
sub-routingdaemon-daemontest-pro-all: routingdaemon/$(MAKEFILE).daemontest FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE).daemontest all
sub-routingdaemon-daemontest-pro-clean: routingdaemon/$(MAKEFILE).daemontest FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE).daemontest clean
sub-routingdaemon-daemontest-pro-distclean: routingdaemon/$(MAKEFILE).daemontest FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE).daemontest distclean
sub-routingdaemon-daemontest-pro-install_subtargets: routingdaemon/$(MAKEFILE).daemontest FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE).daemontest install
sub-routingdaemon-daemontest-pro-uninstall_subtargets: routingdaemon/$(MAKEFILE).daemontest FORCE
	cd routingdaemon/ && $(MAKE) -f $(MAKEFILE).daemontest uninstall

Makefile: monavroutingdaemon.pro  /targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) CONFIG+=release DEFINES+=NOGUI -o Makefile monavroutingdaemon.pro
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) CONFIG+=release DEFINES+=NOGUI -o Makefile monavroutingdaemon.pro

qmake_all: sub-routingdaemon-qmake_all sub-plugins-routingdaemon_plugins-pro-qmake_all sub-routingdaemon-daemontest-pro-qmake_all FORCE

make_default: sub-routingdaemon-make_default sub-plugins-routingdaemon_plugins-pro-make_default sub-routingdaemon-daemontest-pro-make_default FORCE
make_first: sub-routingdaemon-make_first sub-plugins-routingdaemon_plugins-pro-make_first sub-routingdaemon-daemontest-pro-make_first FORCE
all: sub-routingdaemon-all sub-plugins-routingdaemon_plugins-pro-all sub-routingdaemon-daemontest-pro-all FORCE
clean: sub-routingdaemon-clean sub-plugins-routingdaemon_plugins-pro-clean sub-routingdaemon-daemontest-pro-clean FORCE
distclean: sub-routingdaemon-distclean sub-plugins-routingdaemon_plugins-pro-distclean sub-routingdaemon-daemontest-pro-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-routingdaemon-install_subtargets sub-plugins-routingdaemon_plugins-pro-install_subtargets sub-routingdaemon-daemontest-pro-install_subtargets FORCE

=== routingdaemon/Makefile ===
#############################################################################
# Makefile for building: ../bin/monav-daemon
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Aug 12 13:44:58 2012
# Project:  routingdaemon.pro
# Template: app
# Command: /usr/bin/qmake CONFIG+=release DEFINES+=NOGUI -o Makefile routingdaemon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DNOGUI -D_7ZIP_ST -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -O3 -Wno-unused-function -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/include/QtCore -I/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/include/QtNetwork -I/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/include -I.. -Iqtservice-2.6_1-opensource/src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -L../bin/plugins_client -lcontractionhierarchiesclient -lgpsgridclient -lQtNetwork -L/usr/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		../utils/lzma/LzmaDec.c \
		../utils/directoryunpacker.cpp \
		qtservice-2.6_1-opensource/src/qtservice.cpp \
		qtservice-2.6_1-opensource/src/qtservice_unix.cpp \
		qtservice-2.6_1-opensource/src/qtunixsocket.cpp \
		qtservice-2.6_1-opensource/src/qtunixserversocket.cpp moc_routingdaemon.cpp \
		moc_qtunixsocket.cpp \
		moc_qtunixserversocket.cpp
OBJECTS       = main.o \
		LzmaDec.o \
		directoryunpacker.o \
		qtservice.o \
		qtservice_unix.o \
		qtunixsocket.o \
		qtunixserversocket.o \
		moc_routingdaemon.o \
		moc_qtunixsocket.o \
		moc_qtunixserversocket.o
DIST          = /targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtservice-2.6_1-opensource/common.pri \
		qtservice-2.6_1-opensource/src/qtservice.pri \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		routingdaemon.pro
QMAKE_TARGET  = monav-daemon
DESTDIR       = ../bin/
TARGET        = ../bin/monav-daemon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: routingdaemon.pro  /targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtservice-2.6_1-opensource/common.pri \
		qtservice-2.6_1-opensource/src/qtservice.pri \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) CONFIG+=release DEFINES+=NOGUI -o Makefile routingdaemon.pro
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_pre.prf:
qtservice-2.6_1-opensource/common.pri:
qtservice-2.6_1-opensource/src/qtservice.pri:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-5afc1735f15653d0a8e834843f2ebed8cbf15706/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) CONFIG+=release DEFINES+=NOGUI -o Makefile routingdaemon.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/monav-daemon1.0.0 || $(MKDIR) .tmp/monav-daemon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/monav-daemon1.0.0/ && $(COPY_FILE) --parents signals.h routingdaemon.h ../utils/lzma/LzmaDec.h ../utils/directoryunpacker.h qtservice-2.6_1-opensource/src/qtservice.h qtservice-2.6_1-opensource/src/qtservice_p.h qtservice-2.6_1-opensource/src/qtunixsocket.h qtservice-2.6_1-opensource/src/qtunixserversocket.h .tmp/monav-daemon1.0.0/ && $(COPY_FILE) --parents main.cpp ../utils/lzma/LzmaDec.c ../utils/directoryunpacker.cpp qtservice-2.6_1-opensource/src/qtservice.cpp qtservice-2.6_1-opensource/src/qtservice_unix.cpp qtservice-2.6_1-opensource/src/qtunixsocket.cpp qtservice-2.6_1-opensource/src/qtunixserversocket.cpp .tmp/monav-daemon1.0.0/ && (cd `dirname .tmp/monav-daemon1.0.0` && $(TAR) monav-daemon1.0.0.tar monav-daemon1.0.0 && $(COMPRESS) monav-daemon1.0.0.tar) && $(MOVE) `dirname .tmp/monav-daemon1.0.0`/monav-daemon1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/monav-daemon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_routingdaemon.cpp moc_qtunixsocket.cpp moc_qtunixserversocket.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_routingdaemon.cpp moc_qtunixsocket.cpp moc_qtunixserversocket.cpp
moc_routingdaemon.cpp: signals.h \
		qtservice-2.6_1-opensource/src/qtservice.h \
		routingdaemon.h
	/usr/bin/moc $(DEFINES) $(INCPATH) routingdaemon.h -o moc_routingdaemon.cpp

## monav 0.2.20101211-1

=== debian/changelog ===
monav (0.2.20101211-1) unstable; urgency=low

  * Initial release

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Sat, 11 Dec 2010 10:52:49 +0200

=== debian/control ===
Source: monav
Section: user/navigation
Priority: extra
Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
Build-Depends: debhelper (>= 5),
 libqt4-dev
Standards-Version: 3.7.2

Package: monav-routing-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Route server for other applications
 The MoNav Routing Daemon is a service that computes routes on OpenStreet maps.
XSBC-Bugtracker: mailto:mardy@users.sourceforge.net
XSBC-Maemo-Display-Name: MoNav routing daemon

## monav 0.2.release-1

=== debian/changelog ===
monav (0.2.release-1) unstable; urgency=low

  * Initial release, based on upstream 0.2

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Sat, 11 Dec 2010 10:52:49 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


APPNAME := monav-routing-daemon
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake CONFIG+=release DEFINES+=NOGUI monavroutingdaemon.pro

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/monav.sgml > monav.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/monav.
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## monav 0.2.release-2

=== debian/changelog ===
monav (0.2.release-2) unstable; urgency=low

  * Package adjustions according to
    http://wiki.maemo.org/Extras-testing/Command_line_applications

 -- Dennis Nienhüser <earthwings@gentoo.org>  Tue, 21 Dec 2010 04:53:17 -0500

=== debian/control ===
Source: monav
Section: user/navigation
Priority: extra
Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
Build-Depends: debhelper (>= 5),
 libqt4-dev
Standards-Version: 3.9.1

Package: monav-routing-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Routing server for other applications
 The MoNav Routing Daemon (MoNavD) is a service that computes routes on
 OpenStreetMap data. It provides exact routing without heuristic assumptions
 and with very little computational work.
 .
 MoNavD is a command line application (daemon) that allows other applications
 to compute routes. This application can only be executed from the command
 line and does not provide any GUI.
XSBC-Bugtracker: mailto:mardy@users.sourceforge.net
XSBC-Maemo-Display-Name: MoNav routing daemon
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAA9vSURBVGiB1ZpprF1Xdcd/a+99zp3f8/M8
 JMZ2bCeOMxknBCeQkBQIZEbIZSxTSygEVUIqUyGYEFQo0EpVq4IageiHClAY
 UxogpDihBLdgwpDITWITDB7zPMTxvffd4Zy9Vz/sOz6/EIdP7ZKOztlnuv//
 2v+99lr7XFFV+jY5OXlNsVh8uRVZbZ1NCmkakiTxxrms2+3k3odcNARV9SI2
 R8R7n3lE8hDwPs9zJQ9Wklys5N7nWcg1t4n11lof8hBUNHdiM+dcrkYzY0xm
 jMlUNVM1mYMOjq5Tm5HQFdEuHbqtELpAp1AotBYtWtTevn17DiCqylVXXeX2
 /27vP689a81bnTX4PMNag3MWAXwIqCreB7wPBB9CUNWgwYcQfIhHXlEfArlq
 8EHVi5Khmnm0i9IF7SjSFtW2irQ06IwRaQVoGqGp0BRogDZFbEOEpsc3Jddm
 V8OMqptJkqyV52krTdPGzp07Mwdw9OjRWy+79JK3Th89Gh7f80SYabUIISAA
 goIgoCL0+kuCgKoSQFWFoBoMlhQjRbUqatRisRhVIFehi9IGbUrbHjZtmQHU
 CEHEBMCLiA9xn0sgDxIyETIRcmMkEynkxph83rxqSNPUiYiXzZs3J2csXfiQ
 wHnf/t5/5N57MdaKACJAEDAMdCaIRlIEBINBxIjFRJZiANt72AIGcCN7BySA
 oSO57DNNecw+ZR8zSENF68aYBmjdqGlgtaFqm4lqU5NkJoTQKhaL7cnJTrfT
 mcw2bdqUW2vtWevOWv2Bh371SHL8qROkaSrGGDHGiAQjUhQRLyIiYqyIGEHE
 iBhxYsSKEROvCiICAghYK6QOXBJJBVHUgvRIqMNpWeeHBWG9XxxWauCgacrB
 EEJTPE0PLe+1KSIzWQgtoF0odDutVsiMqWVTU1PhvvvuC65YLK5oNhqVE0+f
 zJ218ecz0IBISUn+Nie/0xB+ZgGUIgZUiK2BOQNpAkkCqVPEKUGEchFqFSiX
 FJtAW5RjGRzOhI4oGEVLrPDn+ndkuTxkdpsvuEPusMmyRjBmBmjled4OIXQg
 7ZbL5Wzv3r1+7969HlAH+WS726XT6aqICB5YrJJuy0luDshSSP8kkP/A0/2g
 k7BLII3gRcBZSB1YC86BGKWeQasriAPNFW0r5RK8cDUsn4DzK0q5okxn8KMn
 lUMdIAWt6vP9Fr8+7A8fSX+Sbs/zvGmMaVlrO2mj0TkO2fHjx3PAA6qqaufV
 JjdXa9VX799/MARVIRcpfD6XwpsD2fcFPSqE3UJynWKvDWRfNEhXcC4CT0bA
 B1Ge6kImIC6OAbWKJkpm4HgO5yyHyQmo1ZSVi+Dqc+B5i5V9bWgIkJKGJeFl
 +br8RLIr2eGcazcajW4LMiAHQh88gF2waNELSqXijQcPHvIaxEgRST/phQLM
 bEqwm5TuX7kYfp4Wwg5D0hBsEoH3wVurnMzAmwhejUICmsQ9KXQMHPPK5lUw
 MTHcNqyAmy+E6Ux5ogmkCFVe7C/28zsPdL7dAz7m+b507cKF87ekSeG6w08+
 6UVENMO4a73Y9cAKMOuU8N9C9i8W/abBtQQzAj5JIvgMaIYeeBtB1ypKqQxt
 iZFHU6UOLJ4fQddqSq0GtRrMm4DrN8bxsuNwb6CnehGXcYIH+fFc4AHs1NS8
 F7kkvWZ6+kguIkY84n8pYq9QkmsUuwbc6wNuS8D8RjCHBJtGrycJIMqMwsl8
 BLyDBRPK5WfB2cvg6QAn0Th2CvDoSaVphI0rYMl8qFSUSgUqFXjRGrjwDPjW
 HkVj6L2al7CDB/j1bPAAJgQK3odhTHEQfmHCzKaEmVc68p2C/kZw1ynJd3LM
 BQGnYB20g3KsC00/Dl4TZd2SCKhWhUvXDMFrqmgB7j+ovOs++MrjUKnGe0sl
 KBbh5nOVj/1Rb+4wWAxf5g7WzAbfIxBS1aCAokBR1V4ZxGwOZPcawiOCv96R
 f9QgNTAvV6yDZq40cmJsT8bB1yqwchFUq1CtKhtWRNloQaHAYExkDu58RHnv
 9hgPCwUlSZQkgfe/GF5z/gDnPDyfmZOAtTYJIQRAJRcv85HSDzIpfS3HnKmI
 gimCFHoPdOHprtIOsbfEiqpVHR2w65dFXVerOhioV5/d64VhT3h1mpHAvb+D
 rd9QcoG0J09j4As3wZr5A6w3yx1y+SkEMCZV1QAEEtB9It1PW8wyqDyaYW8I
 mO0Z9oMBfRza/2bIe0kSQXKd0SMIoqJgIUnhvBURfK0Wwddqyks3QLkaCWiq
 kGDFy1ewHFOr/HwabrkHjI3gjYFyAh+/egRt4NOnEHCRQC4iikFIkO5tltYb
 HXqXQQDzsCDbLOGmhPYBkIVgVqo3U/pbWavzWK7IMpDFsOZ5MH9eBD85OSSy
 aAqu2dCTURJlpBW9Qg/oK7AcxcK3HodPPBjB9+2158FFSwfNLXK7vHyUgDPO
 icZRHDDERwXM1w3mboPekZPeabHH4GQ76t3d4Enf6QVYRcAO3iZgfmiYPCxU
 akPw1WqU1Os2K9/YF/VOAmp1JUtZRZetlPkeQvqJH8HbNsEZE4NXcsdVcMOX
 Br+yFbh30APqvQBejAQMsQAwkJbBlaD4d46kDjMGKAoUlPyr9nD7JclDzVe7
 k403ORpvszTf4Zh8v+W6A0K1FmUzMdEnoVQqysYVcNmaAfiYrVa4hc/wnyif
 QqCdw+0PjMvkFWthqjho3ii3y6CPjPc+qGquRo1YEaQX411vr0riYCb0Io0h
 Z5on/AlmNDBFBnghBOWK1bB8CqojE1S/ByoVKJfh7ZeOgI+p90v5KGdR5VPA
 NMAXfwFPtUdlAteuGzQXA5cNeyAOYI/FqSgIFJJhepAWIDNC6IVJ6cpBoM5i
 VlAEilHX8ybh+augUhtGnmpVqVYj8HI5xvjrNygrp+jHeIjD7F36Pq0DnwPI
 A3z78fFeuPHsseYrBwSstUFVc3FiMKBGKfTSg0IBCgVhRnVQjGhL92Pp6JSu
 7E9MFODydTA5ob2oE2fXUc+XSpCmSrEA77i0B14GgN4in5EKhq/3T3zjf8YJ
 bDlzrLlqtAc84DEYMYJYoViAQgGKRaFQUNpKX7ddacthXahLKJJoEsG7Erzs
 3FHJzA2+H+P/9PlQdGOAJpnhjXqb/rIvo50Hxwksq4IZEl4xSiBX1QwTY5BL
 hEKhvynFImQG1CkYmkBDl+javudJ4QWrlWXzdU7wxeIQfNJLAhdX4TXnjQNE
 ubV39FuAw42xeglnYHFl0Fw+ICAiOdDFYbGxBIzej5srQEjiLCoi9bAg1LSi
 C/rgKcANF/S9P0zKZoPvz67GxELo3S9gtp0vd8iVwH6ALMCR5vgNy2vP3ANd
 XIwO0stJikUolZRSaTjxhCTkLGcDhQicAqxdply0Mnq+D75UOlU21g7BA1y8
 HC5dMQ6QMOiF0zajqhnQQciwkEmgWFSKxUC5DFMTYAq9GbRCVRfo+n5Oo6ly
 8wWnhspSiUFS1ve8yBB83249tRdeBTHrTAwsqoxfPFgfHB4YEAAyEWmLkTYO
 cgPFEgNvVqtQrvQSsSrzSDH96DM5AdduhHJZx9LhNB2Cn+35UfvjjbCoPHbK
 IawFWFodDVIxtE4PJTUY4kZVsxBCG2iRxGneFobgazVYvpAomSLpaOi86QKY
 mhgHP+p5a+f2fN8KFt6+edZJpQJRYqN2qAFhOKrHeqCjqi2ggQNSmGGYy1er
 yoUrGStISKOsXr9ZB5KZPWCfDXzf/vxisHPc86oN4+0d+8aae0cJdFV1xrTM
 b/v5/HQ2jOmTk3DJah0DTwpXrVfOWjyMNqej+bnszAm46ZzxcwJcv3783N2P
 jTW/MyBgjOmIyAxN9mFpa6rsayuV6nBSatsR8D0ib744en60ipodKk/Xbr1k
 vK3A3hPDdh7gnt2D5jTw4wEBEWmralNUGpLJr/vLHwc72ssohfsPMfC8Jsra
 JXD1+gg+TcerqOcCvG9Xr4ZzF42f+8efDI+/u2csubtbt2kYEPDet0WkKSIN
 qcuv+gP0+wegNgEUlB8e6hXjPYm97ZIh+P7s+od4ftRm98KXHobjrdgbt20f
 u3TXaMOISEtVG8aYupt2DwuyVwtRRr98Cn54CDpmOJlVy/CGTePg+wRGbdcR
 eO1X47bryLMTeNOFMFEYtls5fP7n8OVH4BeHB6d36Da9d/Q5572fUdWGqgZV
 9faA/XI4P3wAB//6GNDXfq+Ket1FylRl3POjXt91BD72ANy1axj27toVY/5t
 V5wqlb5VU3jzhfAPI9L5p5+OJXBgeO/s5+zU1NQCVV3Y7XY7QDscC/v9Gn8m
 Vc6oq1LvZaIkgFXuvBmWTozLpg/8L74L774HHpkeT8SUeO5zO+HRo5HE7FkW
 YPVUBN23E+0x7X9TP6KnFvUi0jbG1FW1rqp1EanbPfbv1Wl9ALyXJ118Jmxc
 Oh5tdh2B130Nzv9s7O6gs39iaEHjPed/Nj4zW1rnLDwl7x9wwfKXc10wqtoR
 kYa1tmGMqVtr626P222mzXtwhD54LHQU6Enm0WOnD/x0iXiNNfHs24HX6If1
 13O9S1atWrVURNafOHEieO9z7307y7K2MabVvaX74VAOfzaoX02c4ueX4b4n
 nhl0f2b1Ond7thmBK54Xwf/X/lMuf0i36V/P/STIxo0b57fb7dUnTx7zeS4+
 z/NOnudta2270Wh0+BA/xbCOfpT5PWFySQXe/6KYHhTdMJ9fVIngPrcT/uZH
 8GTzmd8xyx7XbXr277vB5XmeGWNmVJ0PIcuTJOmqaqfRaHSBjCNcxjJ2A/Oe
 CfySCrzvcnjnJVAaKRVHKihKDt7zwkjusz+FTz34rETawBuejaEtlUq2VJI0
 z8mAbrfb7aZp2m21WvGLyM9ocQX3Y7iQkVIOYpn3lovg318PL1kVc/hns8TE
 gXrL5pgePzw9pxS/B1yp23T3qW8YN9m4cWNqbXve9HRTnZvxMzMuP378eP9z
 zthHBbldLgLuBC4efclUMa7b3Hh2BLesGsmNWh5iSrxjX0zM7tk9vvbTs58B
 H9dt+s1nd0WPwNat2CeeWFN9+mmj9Xrdl0ql/hfAAIS5PirIHXJ5b6F1y1wv
 NRLl069hD9ajt39PpNqB4b16mz54usAHWADZsmVLcd++fRSLxbBnz5640DXH
 55xTHo4LrVuBG4krZs/FpoG7gbtmpwfPxQb/lajX61Kr1fT+++8f+wp4Wi+J
 a5WXEVfMVhHHygqGqwcHiGXgAWIx8h3gx6NZ5R9sfXlv3bq1H+1FVfn/sknf
 0SIxJXsunv+/YP8LpGqt9wenYMMAAAAASUVORK5CYII=

## monav 0.3

=== debian/changelog ===
monav (0.3-8build1) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Jan 2014 18:50:40 +0000

monav (0.3-8) unstable; urgency=low

  [ David Paleino ]
  * Make debian/copyright conformant to copyright-1.0 format
  * Make "monav" meta-package arch:all
  * Added debian/watch file

  [ Jérémy Lal ]
  * Port to mapnik 2.2, tighten build-dependency on libmapnik-dev.
  * Canonicalize Vcs fields
  * Build using hardening flags

 -- Jérémy Lal <kapouer@melix.org>  Thu, 29 Aug 2013 11:22:07 +0200

monav (0.3-6) unstable; urgency=low

  * Port code to Mapnik2 (Closes: #646452)

 -- David Paleino <dapal@debian.org>  Tue, 25 Oct 2011 23:24:39 +0200

monav (0.3-5) unstable; urgency=low

  * Backport fix to avoid freezing when GPSd is not available, thanks
    to Timo Juhani Lindfors (Closes: #632650)
  * Fix Vcs-* fields to point to pkg-osm

 -- David Paleino <dapal@debian.org>  Thu, 01 Sep 2011 08:16:02 +0200

monav (0.3-4) unstable; urgency=low

  * Drop -march=native from the compilation (Closes: #626671)
  * Backported GPSd interface implementation from upstream's
    bugtracker (06-implement_gpsd_interface.patch)

 -- David Paleino <dapal@debian.org>  Wed, 22 Jun 2011 21:29:52 +0200

monav (0.3-3) unstable; urgency=low

  * Compile in release mode, just add debugging symbols in the process
    (for future -dbg packages)
  * Bump debhelper compatibility to 8

 -- David Paleino <dapal@debian.org>  Sat, 30 Apr 2011 16:26:36 +0200

monav (0.3-2) unstable; urgency=low

  * Fix 03-dont_embed_resources.patch: it was using an old slot
    name.
  * Dropped 01-fix_build_issues.patch: rather, fix the build system
    by passing correct parameters and fixing the build order.

 -- David Paleino <dapal@debian.org>  Tue, 26 Apr 2011 12:39:02 +0200

monav (0.3-1) unstable; urgency=low

  * New upstream version
  * Patches refreshed
  * Standards-Version bump to 3.9.2, no changes needed
  * Added missing B-D on protobuf-compiler

 -- David Paleino <dapal@debian.org>  Sat, 23 Apr 2011 19:43:24 +0200

monav (0.2+svn450-1) unstable; urgency=low

  * Uploading to unstable
  * New upstream snapshot
  * Refresh information in debian/copyright
  * Patches refreshed, 03-fix_source_typos.patch removed (merged
    upstream)
  * Fix various FTBFS issues (01-fix_build_issues.patch)
  * Also build monav-preprocessor-gui and monav-packager
  * Upstream now uses sane binary names, drop the hackery in
    debian/rules, and install proper files in debian/*.install
  * Make new monav-data binary package: split images into an
    arch-independent package, instead of embedding them into a Qt
    Resource file (03-dont_embed_resources.patch and other files)
  * Fix some source code typos (04-fix_typos.patch)
  * Don't install the extra license file for Oxygen icons; rather,
    list them in debian/copyright

 -- David Paleino <dapal@debian.org>  Mon, 14 Mar 2011 13:17:18 +0100

monav (0.2+svn405-1) experimental; urgency=low

  * Initial release (Closes: #594874)

 -- David Paleino <dapal@debian.org>  Tue, 11 Jan 2011 19:20:42 +0100

=== debian/control ===
Source: monav
Section: utils
Priority: optional
Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper (>= 8~)
 , qt4-qmake (>= 4:4.7)
 , libqt4-sql-sqlite (>= 4:4.7)
 , qtmobility-dev (>= 1.1)
 , libqt4-dev (>= 4:4.7)
 , libqt4-sql (>= 4:4.7)
 , libboost-dev
 , libicu-dev
 , libbz2-dev
 , libmapnik-dev (>= 2.2.0~)
 , libxml2-dev
 , libprotobuf-dev
 , protobuf-compiler
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/monav
Vcs-Git: git://anonscm.debian.org/pkg-osm/monav.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-osm/monav.git

Package: monav
Architecture: all
Depends: ${misc:Depends}
 , monav-client (>= ${binary:Version})
 , monav-preprocessor (>= ${binary:Version})
 , monav-routing-daemon (>= ${binary:Version})
Description: metapackage for MoNav
 MoNav is a Desktop / Mobile application that offers state-of-the-art fast and
 exact routing with OpenStreetMap Data.
 .
 In contrast to most commercial and open-source routing applications, MoNav
 offers exact routing without heuristic assumptions and with very little
 computational work. Its routing core is based on Contraction Hierarchies.
 .
 The application is divided into two parts: The MoNav Preprocessor transforms
 the raw OpenStreetMap data into file formats usable by the MoNav Client
 application. The preprocessing is often time consuming and requires larger
 amounts of memory. The client application on the other hand has very few
 requirements and can even run on mobile devices.
 .
 This is a metapackage installing both the client and the preprocessing
 applications.

Package: monav-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 , monav-data (= ${source:Version})
Recommends: monav-preprocessor
Description: fast navigation system featuring exact routing - client
 MoNav is a Desktop / Mobile application that offers state-of-the-art fast and
 exact routing with OpenStreetMap Data.
 .
 In contrast to most commercial and open-source routing applications, MoNav
 offers exact routing without heuristic assumptions and with very little
 computational work. Its routing core is based on Contraction Hierarchies.
 .
 The application is divided into two parts: The MoNav Preprocessor transforms
 the raw OpenStreetMap data into file formats usable by the MoNav Client
 application. The preprocessing is often time consuming and requires larger
 amounts of memory. The client application on the other hand has very few
 requirements and can even run on mobile devices.
 .
 Additionally a routing daemon is available to act as a background route
 server for other applications.
 .
 This package provides the client application.

Package: monav-preprocessor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 , monav-data (= ${source:Version})
Description: fast navigation system featuring exact routing - preprocessor
 MoNav is a Desktop / Mobile application that offers state-of-the-art fast and
 exact routing with OpenStreetMap Data.
 .
 In contrast to most commercial and open-source routing applications, MoNav
 offers exact routing without heuristic assumptions and with very little
 computational work. Its routing core is based on Contraction Hierarchies.
 .
 The application is divided into two parts: The MoNav Preprocessor transforms
 the raw OpenStreetMap data into file formats usable by the MoNav Client
 application. The preprocessing is often time consuming and requires larger
 amounts of memory. The client application on the other hand has very few
 requirements and can even run on mobile devices.
 .
 Additionally a routing daemon is available to act as a background route
 server for other applications.
 .
 This package provides the preprocessing application.

Package: monav-routing-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast navigation system featuring exact routing - routing daemon
 MoNav is a Desktop / Mobile application that offers state-of-the-art fast and
 exact routing with OpenStreetMap Data.
 .
 In contrast to most commercial and open-source routing applications, MoNav
 offers exact routing without heuristic assumptions and with very little
 computational work. Its routing core is based on Contraction Hierarchies.
 .
 The application is divided into two parts: The MoNav Preprocessor transforms
 the raw OpenStreetMap data into file formats usable by the MoNav Client
 application. The preprocessing is often time consuming and requires larger
 amounts of memory. The client application on the other hand has very few
 requirements and can even run on mobile devices.
 .
 Additionally a routing daemon is available to act as a background route
 server for other applications.
 .
 This package provides the routing daemon.

Package: monav-data
Architecture: all
Depends: ${misc:Depends}
Description: fast navigation system featuring exact routing - data files
 MoNav is a Desktop / Mobile application that offers state-of-the-art fast and
 exact routing with OpenStreetMap Data.
 .
 In contrast to most commercial and open-source routing applications, MoNav
 offers exact routing without heuristic assumptions and with very little
 computational work. Its routing core is based on Contraction Hierarchies.
 .
 The application is divided into two parts: The MoNav Preprocessor transforms
 the raw OpenStreetMap data into file formats usable by the MoNav Client
 application. The preprocessing is often time consuming and requires larger
 amounts of memory. The client application on the other hand has very few
 requirements and can even run on mobile devices.
 .
 Additionally a routing daemon is available to act as a background route
 server for other applications.
 .
 This package contains architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CURVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1)
ifeq (,$(findstring svn,$(CURVER)))
SVNREPO := https://monav.googlecode.com/svn/tags/release-$(CURVER)
else
REVISION := $(shell echo $(CURVER) | awk -F'svn' '{print $$2}')
SVNREPO := https://monav.googlecode.com/svn/trunk/
endif

cxxflags := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
ldflags := $(shell dpkg-buildflags --get LDFLAGS)

configure:
	qmake QMAKE_CXXFLAGS_RELEASE+="$(cxxflags)" QMAKE_LFLAGS_RELEASE+="$(ldflags)" monavclient.pro -o Makefile.client
	qmake QMAKE_CXXFLAGS_RELEASE+="$(cxxflags)" QMAKE_LFLAGS_RELEASE+="$(ldflags)" CONFIG+=nogui monavpreprocessor.pro -o Makefile.preprocessor
	qmake QMAKE_CXXFLAGS_RELEASE+="$(cxxflags)" QMAKE_LFLAGS_RELEASE+="$(ldflags)" monavpreprocessor-gui.pro -o Makefile.preprocessor-gui
	qmake QMAKE_CXXFLAGS_RELEASE+="$(cxxflags)" QMAKE_LFLAGS_RELEASE+="$(ldflags)" CONFIG+=nogui monavroutingdaemon.pro -o Makefile.routingdaemon
	qmake QMAKE_CXXFLAGS_RELEASE+="$(cxxflags)" QMAKE_LFLAGS_RELEASE+="$(ldflags)" CONFIG+=nogui tools/monav-packager/monav-packager.pro -o Makefile.monav-packager

override_dh_auto_configure: configure

override_dh_auto_build:
	# make non-GUI things
	for i in preprocessor routingdaemon monav-packager; do \
	    $(MAKE) -f Makefile.$$i ; \
	    $(MAKE) -f Makefile.$$i clean ; \
	done

	# make GUI things
	for i in client preprocessor-gui; do \
	    $(MAKE) -f Makefile.$$i ; \
	done

override_dh_auto_clean: configure
	for i in client preprocessor preprocessor-gui routingdaemon monav-packager; do \
	    $(MAKE) -f Makefile.$$i distclean; \
	done
	-rm -rf bin/

override_dh_install:
	dh_install
	-find $(CURDIR)/debian/ -name "COPYING" -delete

%:
	dh $@

get-orig-source:
ifeq (,$(findstring svn,$(CURVER)))
	svn export $(SVNREPO) monav-$(CURVER)
else
	svn export $(SVNREPO) -r $(REVISION) monav-$(CURVER)
endif
	tar cf monav_$(CURVER).orig.tar monav-$(CURVER)/
	gzip -9 monav_$(CURVER).orig.tar
	rm -rf monav-$(CURVER)/

=== debian/watch ===
version=3
http://googlecode.debian.net/p/monav/monav-(\d+.*)\.tar\.gz

## monav 0.3.release-1

=== debian/changelog ===
monav (1:0.3.release-1) unstable; urgency=low

  * Set epoch to 1 to get rid of the foreign upload 0.3.Release-3+Hg5585bb4a8d77
    in extras-devel

 -- Dennis Nienhüser <earthwings@gentoo.org>  Sun, 12 Aug 2012 12:34:07 +0200

monav (0.3.release-1) unstable; urgency=low

  * Synchronize with upstream 0.3

 -- Dennis Nienhüser <earthwings@gentoo.org>  Fri, 06 May 2011 18:35:36 +0200
